Bug 1016669 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_connec...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:efa451acfa62826dbd89f1b9f97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 09:44 EDT by Artemio
Modified: 2013-10-08 09:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 09:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artemio 2013-10-08 09:44:06 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_connect' accesses on the tcp_socket .

*****  Plugin mozplugger (89.7 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall_boolean (10.0 confidence) suggests  *******************

If você deseja allow mozilla to plugin can network connect
Then you must tell SELinux about this by enabling the 'mozilla_plugin_can_network_connect' boolean.
You can read 'None' man page for more details.
Do
setsebool -P mozilla_plugin_can_network_connect 1

*****  Plugin catchall (1.69 confidence) suggests  ***************************

If você acredita que o plugin-container deva ser permitido acesso de name_connect em  tcp_socket  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:amavisd_send_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          10025
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.4.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.1-200.fc19.x86_64 #1 SMP Sat
                              Sep 14 15:04:51 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-09-29 02:50:57 BRT
Last Seen                     2013-10-01 01:16:05 BRT
Local ID                      4b3d8a0c-24f8-4aac-90a4-c32fb57a29ec

Raw Audit Messages
type=AVC msg=audit(1380600965.85:1217): avc:  denied  { name_connect } for  pid=10123 comm="plugin-containe" dest=10025 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:amavisd_send_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1380600965.85:1217): arch=x86_64 syscall=connect success=no exit=EACCES a0=1b a1=7f857ac63268 a2=10 a3=1 items=0 ppid=2928 pid=10123 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=plugin-containe exe=2F7573722F6C696236342F78756C72756E6E65722F706C7567696E2D636F6E7461696E65722E237072656C696E6B232E4F6658517036202864656C6574656429 subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,amavisd_send_port_t,tcp_socket,name_connect

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 911703
Comment 1 Lukas Vrabec 2013-10-08 09:49:49 EDT
Use: "# setsebool -P mozilla_plugin_can_network_connect 1 " to fix this.

Note You need to log in before you can comment on or make changes to this bug.